> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/admin/subscription-groups

> Get a subscription groups



## OpenAPI

````yaml get /api/admin/subscription-groups/
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/subscription-groups/:
    get:
      tags:
        - Subscription Groups
      description: Get a subscription groups
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    workspaceId:
                      type: string
                    name:
                      type: string
                    channel:
                      anyOf:
                        - type: string
                          enum:
                            - Email
                        - type: string
                          enum:
                            - MobilePush
                        - type: string
                          enum:
                            - Sms
                        - type: string
                          enum:
                            - Webhook
                    type:
                      anyOf:
                        - type: string
                          enum:
                            - OptIn
                        - type: string
                          enum:
                            - OptOut
                    createdAt:
                      type: number
                    updatedAt:
                      type: number
                  required:
                    - id
                    - workspaceId
                    - name
                    - channel
                    - type
                    - createdAt
                    - updatedAt

````